Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression.support
Class NullParserContext

    java.lang.Object
      org.springframework.binding.expression.support.NullParserContext

All Implemented Interfaces:
  ParserContext

    public final class NullParserContext

extends java.lang.Object
implements ParserContext

A null object implementation of ParserContext. Mainly used internally by expression parser implementations when `null` is passed in as a parser context value.

Author:
  Keith Donad

Field Summary
`static ParserContext` | `INSTANCE` The null parser context object instance; a singleton.

Method Summary
`java.lang.Class` | `getEvaluationContextType()` Returns the type of context object the parsed expression will evaluate in.
`java.lang.Class` | `getExpectedEvaluationResultType()` Returns the expected type of object returned from evaluating the parsed expression.
`ExpressionVariable[]` | `getExpressionVariables()` Returns additional expression variables or aliases that can be referenced during expression evaluation.
`boolean` | `isTemplate()` Whether or not the expression being parsed is a template.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ParserContext INSTANCE

  The null parser context object instance; a singleton.

Method Detail

### getEvaluationContextType

    public java.lang.Class getEvaluationContextType()

  Description copied from interface: `ParserContext`
  Returns the type of context object the parsed expression will evaluate in. An expression parser may use this value to install custom variable resolves for that particular type of context.

  Specified by:
    `getEvaluationContextType` in interface `ParserContext`
  Returns:
    the evaluation context type

### getExpectedEvaluationResultType

    public java.lang.Class getExpectedEvaluationResultType()

  Description copied from interface: `ParserContext`
  Returns the expected type of object returned from evaluating the parsed expression. An expression parser may use this value to coerce an raw evaluation result before it is returned.

  Specified by:
    `getExpectedEvaluationResultType` in interface `ParserContext`
  Returns:
    the expected evaluation result type

### getExpressionVariables

    public ExpressionVariable[] getExpressionVariables()

  Description copied from interface: `ParserContext`
  Returns additional expression variables or aliases that can be referenced during expression evaluation. An expression parser will register these variables for reference during evaluation.

  Specified by:
    `getExpressionVariables` in interface `ParserContext`

### isTemplate

    public boolean isTemplate()

  Description copied from interface: `ParserContext`
  Whether or not the expression being parsed is a template. A template expression consists of literal text that can be mixed with evaluatable blocks. Some examples:

                 Some literal text
           Hello #{name.firstName}!
           #{3 + 4}

  Specified by:
    `isTemplate` in interface `ParserContext`
  Returns:
    true if the expression is a template, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD